| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # SAXException Class Reference Encapsulate a general SAX error or warning. More... Inheritance diagram for SAXException: [legend] List of all members.
## Public Member Functions
Constructors and Destructor
| SAXException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor.
| SAXException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXException (const SAXException &toCopy)
| Copy constructor.
virtual | ~SAXException ()
| Destructor.
Public Operators
SAXException & | operator= (const SAXException &toCopy)
| Assignment operator.
Getter Methods
virtual const XMLCh * | getMessage () const
| Get the contents of the message.
## Protected Attributes
XMLCh * | fMsg
MemoryManager * | fMemoryManager
## Detailed Description Encapsulate a general SAX error or warning. This class can contain basic error or warning information from either the XML SAX parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it. If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException. If the parser or application needs to include information about a specific location in an XML document, it should use the SAXParseException subclass. See also: SAXParseException::SAXParseException ## Constructor & Destructor Documentation
SAXException::SAXException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
  Default constructor. Parameters:
  | manager | Pointer to the memory manager to be used to allocate objects.
SAXException::SAXException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
  Create a new SAXException. Parameters:
  | msg | The error or warning message.
  | manager | Pointer to the memory manager to be used to allocate objects.
SAXException::SAXException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
  Create a new SAXException. Parameters:
  | msg | The error or warning message.
  | manager | Pointer to the memory manager to be used to allocate objects.
SAXException::SAXException | ( | const SAXException & | toCopy | ) |
  Copy constructor. Parameters:
  | toCopy | The exception to be copy constructed
virtual SAXException::~SAXException | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
SAXException& SAXException::operator= | ( | const SAXException & | toCopy | ) |
  Assignment operator. Parameters:
  | toCopy | The object to be copied
virtual const XMLCh* SAXException::getMessage | ( |  | ) | const`[virtual]`
Get the contents of the message. ## Member Data Documentation
XMLCh* SAXException::fMsg`[protected]`
MemoryManager* SAXException::fMemoryManager`[protected]`
The documentation for this class was generated from the following file: SAXException.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.